%define backend printer-drivers
%define _altdata_dir %_datadir/alterator

Name: alterator-printers
Version: 5.0
Release: alt1

Source:%name-%version.tar

Summary: simple alterator module for printer administration
License: GPL
Group: System/Configuration/Other
BuildArch: noarch

#TODO: will be installed only if needed
Requires: cups >= 1.2.0 , samba-client-cups,printer-testpages, printer-drivers-base, printer-drivers-utils


Requires: alterator >= 2.9 , alterator-backend-%backend
Requires: alterator-standalone

BuildPreReq: alterator >= 2.9-alt0.3, alterator-standalone >= 2.4-alt0.8

%description
simple alterator module for printer administration

%package -n alterator-backend-%backend
Summary: alterator backend for printer drivers maintainance
Group: Publishing
Requires: printer-drivers-utils
Conflicts: printer-drivers-utils <= 2.1-alt4

%description -n alterator-backend-%backend
alterator backend for printer drivers maintainance

%prep
%setup -q

%build
%make_build

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name


%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%_sysconfdir/alterator/profile.d/printers
%_bindir/*
%_altdata_dir/maps/*
%_altdata_dir/images/*
%_altdata_dir/ui/*/
%_desktopdir/*


%files -n alterator-backend-%backend
%_alterator_backenddir/*
%_alterator_backend2dir/*


%changelog
* Wed Nov 08 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt1
- update to new alterator (replace command-arg-ref with modern woo-get-option)
- update build system

* Mon Sep 25 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt0.6
- move icons into separate package
- rename caption to title

* Wed Aug 23 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt0.5
- update build system
- added common makefile for all standalone modules

* Wed May 31 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt0.4
- ported to new alterator

* Wed May 24 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt0.3
- ported to new cups

* Fri May 12 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt0.2
- build from git

* Fri May 05 2006 Stanislav Ievlev <inger@altlinux.org> 5.0-alt0.1
- major interface improvements

* Fri Apr 28 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.7
- fixed backend

* Wed Apr 19 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.6
- use theme icons now

* Thu Apr 06 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.5
- replace document:link with document:insert

* Thu Mar 16 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.4
- added splash message during driver generation

* Tue Mar 14 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.3
- fixed image symlink

* Thu Mar 09 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.2
- apply patch from Alexey Miltsev
- fixed icon paths

* Mon Feb 13 2006 Stanislav Ievlev <inger@altlinux.org> 4.2-alt0.1
- minor bugfixes, move to new backend2 subsystem

* Thu Feb 09 2006 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.3.2
- makefile improvements

* Thu Feb 02 2006 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.3.1
- use document:popup-options, frame:on-{leave,apply}

* Mon Jan 30 2006 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.3
- usability improvements

* Mon Jan 23 2006 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.2
- move to new frame scheme

* Fri Jan 20 2006 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.1
- move to profile based standalone scheme

* Tue Dec 20 2005 Stanislav Ievlev <inger@altlinux.org> 4.0-alt0.4
- locale improvements

* Mon Dec 19 2005 Stanislav Ievlev <inger@altlinux.org> 4.0-alt0.3
- layout improvements

* Thu Dec 15 2005 Stanislav Ievlev <inger@altlinux.org> 4.0-alt0.2
- added support for local connection

* Wed Dec 14 2005 Stanislav Ievlev <inger@altlinux.org> 4.0-alt0.1
- new layout, now we can edit printers

* Wed Oct 19 2005 Stanislav Ievlev <inger@altlinux.org> 3.3-alt2.2
- added icons

* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt2.1
- fix widgets layout

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 3.3-alt2
- use generic make templates

* Tue Aug 30 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt1.1
- fix widgets layout

* Wed Aug 24 2005 Stanislav Ievlev <inger@altlinux.org> 3.3-alt1
- added splash message during driver generation

* Mon Aug 08 2005 Stanislav Ievlev <inger@altlinux.org> 3.2-alt2
- fixed bug

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 3.2-alt1
- update model for new alterator

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt5
- Belarusian translation

* Thu Jul 21 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt4
- fixed menu file

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt3
- updates

* Thu Jul 14 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt2
- interface improvements
- printers-config renamed to config-printers

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt1
- map adopted to new config style
- use ready-to-use alterator-standalone frame
- printers-config now in /sbin

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1
- update map

* Mon Jun 27 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt7
- minor fixes

* Thu Jun 23 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt6
- updated po by kirill

* Tue Jun 21 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt5
- use external error messages

* Mon Jun 20 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt4
- added menu file

* Thu Jun 16 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt3
- adopted for new look

* Tue Jun 14 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt2
- adopted for new look

* Thu Jun 09 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt1
- added standalone version

* Tue Jun 07 2005 Stanislav Ievlev <inger@altlinux.org> 2.4-alt1
- improvements

* Mon Jun 06 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt11
- new scheme of uris

* Tue May 31 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt10
- new snapshot

* Fri May 27 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt9
- new snapshot

* Wed May 04 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt8
- new snapshot

* Wed Apr 27 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt7
- new snapshot

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt6
- improved files layout

* Fri Apr 22 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt5
- little layout improvements
- added support for ALT control center

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt4
- changed backend format

* Wed Apr 13 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt3
- bugfixes

* Tue Apr 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt2
- little improvements

* Mon Apr 04 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt1
- move ui and model tarballs here

* Mon Mar 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release
